Index: /palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -3404,5 +3408,5 @@
 
        USE indices,                                                            &
-           ONLY:  nxl, nxr, nyn, nys, wall_flags_static_0
+           ONLY:  nxl, nxr, nyn, nys, wall_flags_total_0
 
        IMPLICIT NONE
@@ -3870,11 +3874,11 @@
 !--          Check if building_type is set at each building and vice versa. 
 !--          Please note, buildings are already processed and filtered.
-!--          For this reason, consistency checks are based on wall_flags_static_0 
+!--          For this reason, consistency checks are based on wall_flags_total_0 
 !--          rather than buildings_f (buildings are represented by bit 6 in 
-!--          wall_flags_static_0). 
+!--          wall_flags_total_0). 
              IF ( building_type_f%from_file  .AND.  buildings_f%from_file )  THEN
-                IF ( ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.            &
+                IF ( ANY( BTEST ( wall_flags_total_0(:,j,i), 6 ) )  .AND.      &
                      building_type_f%var(j,i) == building_type_f%fill  .OR.    &
-               .NOT. ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.            &
+               .NOT. ANY( BTEST ( wall_flags_total_0(:,j,i), 6 ) )  .AND.      &
                      building_type_f%var(j,i) /= building_type_f%fill )  THEN
                    WRITE( message_string, * ) 'Each location where a ' //      &
@@ -3891,7 +3895,7 @@
 !--          is set and vice versa.
              IF ( buildings_f%from_file )  THEN
-                IF ( ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.           &
+                IF ( ANY( BTEST ( wall_flags_total_0(:,j,i), 6 ) )  .AND.     &
                      building_id_f%var(j,i) == building_id_f%fill  .OR.       &
-               .NOT. ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.           &
+               .NOT. ANY( BTEST ( wall_flags_total_0(:,j,i), 6 ) )  .AND.     &
                      building_id_f%var(j,i) /= building_id_f%fill )  THEN
                    WRITE( message_string, * ) 'Each location where a ' //     &
@@ -3905,5 +3909,5 @@
 !--          Check if building ID is set where a bulding is defined.
              IF ( buildings_f%from_file )  THEN
-                IF ( ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.           &
+                IF ( ANY( BTEST ( wall_flags_total_0(:,j,i), 6 ) )  .AND.     &
                      building_id_f%var(j,i) == building_id_f%fill )  THEN
                    WRITE( message_string, * ) 'Each building grid point '//   &
Index: /palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- /palm/trunk/SOURCE/ocean_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/ocean_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -89,5 +93,5 @@
 
     USE indices,                                                               &
-        ONLY:  advc_flags_s, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
+        ONLY:  advc_flags_s, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_total_0
 
     USE surface_mod,                                                           &
@@ -971,5 +975,5 @@
     USE indices,                                                               &
         ONLY: nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,            &
-              wall_flags_static_0
+              wall_flags_total_0
 
     IMPLICIT NONE
@@ -1039,6 +1043,6 @@
              DO  k = nzb_do, nzt_do
                 local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
-                                         REAL( fill_value, KIND = wp ),        &
-                                         BTEST( wall_flags_static_0(k,j,i), flag_nr ) )
+                                   REAL( fill_value, KIND = wp ),              &
+                                   BTEST( wall_flags_total_0(k,j,i), flag_nr ) )
              ENDDO
           ENDDO
@@ -1066,5 +1070,5 @@
     USE indices,                                                               &
         ONLY:  nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,           &
-               wall_flags_static_0
+               wall_flags_total_0
 
     IMPLICIT NONE
@@ -1131,6 +1135,6 @@
              DO  k = nzb_do, nzt_do
                 local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
-                                         REAL( fill_value, KIND = wp ),        &
-                                         BTEST( wall_flags_static_0(k,j,i), flag_nr ) )
+                                   REAL( fill_value, KIND = wp ),              &
+                                   BTEST( wall_flags_total_0(k,j,i), flag_nr ) )
              ENDDO
           ENDDO
@@ -1676,11 +1680,11 @@
           DO  j = nys, nyn
              DO  k = nzb+1, nzt
-                sa_p(k,j,i) = sa(k,j,i) + ( dt_3d * ( sbt * tend(k,j,i) +      &
-                                                      tsc(3) * tsa_m(k,j,i) )  &
-                                                  - tsc(5) * rdf_sc(k) *       &
-                                                    ( sa(k,j,i) - sa_init(k) ) &
-                                          )                                    &
-                                            * MERGE( 1.0_wp, 0.0_wp,           &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) &
+                sa_p(k,j,i) = sa(k,j,i) + ( dt_3d * ( sbt * tend(k,j,i) +            &
+                                                      tsc(3) * tsa_m(k,j,i) )        &
+                                                  - tsc(5) * rdf_sc(k) *             &
+                                                    ( sa(k,j,i) - sa_init(k) )       &
+                                          )                                          &
+                                            * MERGE( 1.0_wp, 0.0_wp,                 &
+                                               BTEST( wall_flags_total_0(k,j,i), 0 ) &
                                                    )
                 IF ( sa_p(k,j,i) < 0.0_wp )  sa_p(k,j,i) = 0.1_wp * sa(k,j,i)
@@ -1829,5 +1833,5 @@
                                              * ( sa(k,j,i) - sa_init(k) )      &
                                     ) * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                         BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
           IF ( sa_p(k,j,i) < 0.0_wp )  sa_p(k,j,i) = 0.1_wp * sa(k,j,i)
Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4346)
@@ -27,4 +27,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4342 2019-12-16 13:49:14Z Giersch
 ! Use statements moved to module level, ocean dependency removed, redundant
 ! variables removed
@@ -152,5 +156,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nxl, nxlg, nxlu, nxr, nxrg, nyn, nyng, nys, nysg, nysv,   &
-               nz, nzb, nzt, topo_top_ind, wall_flags_static_0
+               nz, nzb, nzt, topo_top_ind, wall_flags_total_0
 
     USE kinds
@@ -1060,6 +1064,6 @@
 !--                   an informative message is given.
                       IF ( ANY( lad_s(:,j,i) /= 0.0_wp )  .AND.                &
-                           ANY( BTEST( wall_flags_static_0(:,j,i), 6 ) ) .AND.        &
-                           ANY( BTEST( wall_flags_static_0(:,j,i), 4 ) ) )  THEN
+                           ANY( BTEST( wall_flags_total_0(:,j,i), 6 ) ) .AND.  &
+                           ANY( BTEST( wall_flags_total_0(:,j,i), 4 ) ) )  THEN
                          lad_s(:,j,i) = 0.0_wp
                          WRITE( message_string, * )                            &
@@ -1493,8 +1497,8 @@
 !--                of the potential rooftop grid point, while building_edge_e is
 !--                is set from the perspective of the non-building grid point.
-                   building_edge_w = ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )&
-                        .AND.  .NOT. ANY( BTEST( wall_flags_static_0(:,j,i-1), 6 ) )
-                   building_edge_e = ANY( BTEST( wall_flags_static_0(:,j,i-1), 6 ) )&
-                        .AND.  .NOT. ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )
+                   building_edge_w = ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )&
+                        .AND.  .NOT. ANY( BTEST( wall_flags_total_0(:,j,i-1), 6 ) )
+                   building_edge_e = ANY( BTEST( wall_flags_total_0(:,j,i-1), 6 ) )&
+                        .AND.  .NOT. ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )
 !
 !--                Determine topography-top index on u-grid
@@ -1573,8 +1577,8 @@
 !--                of the potential rooftop grid point, while building_edge_n is
 !--                is set from the perspective of the non-building grid point.
-                   building_edge_s = ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )&
-                        .AND.  .NOT. ANY( BTEST( wall_flags_static_0(:,j-1,i), 6 ) )
-                   building_edge_n = ANY( BTEST( wall_flags_static_0(:,j-1,i), 6 ) )&
-                        .AND.  .NOT. ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )
+                   building_edge_s = ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )&
+                        .AND.  .NOT. ANY( BTEST( wall_flags_total_0(:,j-1,i), 6 ) )
+                   building_edge_n = ANY( BTEST( wall_flags_total_0(:,j-1,i), 6 ) )&
+                        .AND.  .NOT. ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )
 !
 !--                Determine topography-top index on v-grid
@@ -1881,8 +1885,8 @@
 !--          of the potential rooftop grid point, while building_edge_e is
 !--          is set from the perspective of the non-building grid point.
-             building_edge_w = ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_static_0(:,j,i-1), 6 ) )
-             building_edge_e = ANY( BTEST( wall_flags_static_0(:,j,i-1), 6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )
+             building_edge_w = ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )  .AND. &
+                         .NOT. ANY( BTEST( wall_flags_total_0(:,j,i-1), 6 ) )
+             building_edge_e = ANY( BTEST( wall_flags_total_0(:,j,i-1), 6 ) )  .AND. &
+                         .NOT. ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )
 !
 !--          Determine topography-top index on u-grid
@@ -1960,8 +1964,8 @@
 !--          of the potential rooftop grid point, while building_edge_n is
 !--          is set from the perspective of the non-building grid point.
-             building_edge_s = ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_static_0(:,j-1,i), 6 ) )
-             building_edge_n = ANY( BTEST( wall_flags_static_0(:,j-1,i), 6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )
+             building_edge_s = ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )  .AND. &
+                         .NOT. ANY( BTEST( wall_flags_total_0(:,j-1,i), 6 ) )
+             building_edge_n = ANY( BTEST( wall_flags_total_0(:,j-1,i), 6 ) )  .AND. &
+                         .NOT. ANY( BTEST( wall_flags_total_0(:,j,i),   6 ) )
 !
 !--          Determine topography-top index on v-grid
Index: /palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -208,5 +212,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nx, nxl, nxlg, nxlu, nxr, nxrg, ny, nyn, nyng, nys, nysg, &
-               nysv, nz, nzb, nzt, topo_top_ind, wall_flags_static_0
+               nysv, nz, nzb, nzt, topo_top_ind, wall_flags_total_0
 
     USE bulk_cloud_model_mod,                                                  &
@@ -1529,14 +1533,14 @@
        INTEGER(iwp) ::  istart    !<
        INTEGER(iwp) ::  ir        !<
-       INTEGER(iwp) ::  iw        !< Child-grid index limited to -1 <= iw <= nx+1 for wall_flags_static_0
+       INTEGER(iwp) ::  iw        !< Child-grid index limited to -1 <= iw <= nx+1 for wall_flags_total_0
        INTEGER(iwp) ::  j         !< Child-grid index in the y-direction
        INTEGER(iwp) ::  jj        !< Parent-grid index in the y-direction
        INTEGER(iwp) ::  jstart    !<
        INTEGER(iwp) ::  jr        !<
-       INTEGER(iwp) ::  jw        !< Child-grid index limited to -1 <= jw <= ny+1 for wall_flags_static_0
+       INTEGER(iwp) ::  jw        !< Child-grid index limited to -1 <= jw <= ny+1 for wall_flags_total_0
        INTEGER(iwp) ::  k         !< Child-grid index in the z-direction
        INTEGER(iwp) ::  kk        !< Parent-grid index in the z-direction
        INTEGER(iwp) ::  kstart    !<
-       INTEGER(iwp) ::  kw        !< Child-grid index limited to kw <= nzt+1 for wall_flags_static_0
+       INTEGER(iwp) ::  kw        !< Child-grid index limited to kw <= nzt+1 for wall_flags_total_0
 
        REAL(wp)     ::  tolex     !< Tolerance for grid-line matching in x-direction    
@@ -1779,5 +1783,5 @@
 !--    Note that ii, jj, and kk are parent-grid indices. 
 !--    This information is needed in the anterpolation. 
-!--    The indices for wall_flags_static_0 (kw,jw,iw) must be limited to the range 
+!--    The indices for wall_flags_total_0 (kw,jw,iw) must be limited to the range 
 !--    [-1,...,nx/ny/nzt+1] in order to avoid zero values on the outer ghost nodes.
        DO  ii = ipla, ipra
@@ -1793,5 +1797,5 @@
                          kw = MIN( k, nzt+1 )                
                          ijkfc_u(kk,jj,ii) = ijkfc_u(kk,jj,ii)                                      &
-                              + MERGE( 1, 0, BTEST( wall_flags_static_0(kw,jw,iw), 1 ) )
+                              + MERGE( 1, 0, BTEST( wall_flags_total_0(kw,jw,iw), 1 ) )
                       ENDDO
                    ENDDO
@@ -1806,5 +1810,5 @@
                          kw = MIN( k, nzt+1 )                                        
                          ijkfc_v(kk,jj,ii) = ijkfc_v(kk,jj,ii)                                      &
-                              + MERGE( 1, 0, BTEST( wall_flags_static_0(kw,jw,iw), 2 ) )
+                              + MERGE( 1, 0, BTEST( wall_flags_total_0(kw,jw,iw), 2 ) )
                       ENDDO
                    ENDDO
@@ -1819,5 +1823,5 @@
                          kw = MIN( k, nzt+1 )
                          ijkfc_s(kk,jj,ii) = ijkfc_s(kk,jj,ii)                                      &
-                              + MERGE( 1, 0, BTEST( wall_flags_static_0(kw,jw,iw), 0 ) )
+                              + MERGE( 1, 0, BTEST( wall_flags_total_0(kw,jw,iw), 0 ) )
                       ENDDO
                    ENDDO
@@ -1832,5 +1836,5 @@
                          kw = MIN( k, nzt+1 )
                          ijkfc_w(kk,jj,ii) = ijkfc_w(kk,jj,ii)                                      &
-                              + MERGE( 1, 0, BTEST( wall_flags_static_0(kw,jw,iw), 3 ) )
+                              + MERGE( 1, 0, BTEST( wall_flags_total_0(kw,jw,iw), 3 ) )
                       ENDDO
                    ENDDO
@@ -2753,10 +2757,10 @@
              DO  jc = nysg, nyng
                 DO  kc = nzb, nzt
-                   u(kc,jc,ic)   = MERGE( u(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 1 ) )
-                   v(kc,jc,ic)   = MERGE( v(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 2 ) )
-                   w(kc,jc,ic)   = MERGE( w(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 3 ) )
-                   u_p(kc,jc,ic) = MERGE( u_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 1 ) )
-                   v_p(kc,jc,ic) = MERGE( v_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 2 ) )
-                   w_p(kc,jc,ic) = MERGE( w_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 3 ) )
+                   u(kc,jc,ic)   = MERGE( u(kc,jc,ic), 0.0_wp, BTEST( wall_flags_total_0(kc,jc,ic), 1 ) )
+                   v(kc,jc,ic)   = MERGE( v(kc,jc,ic), 0.0_wp, BTEST( wall_flags_total_0(kc,jc,ic), 2 ) )
+                   w(kc,jc,ic)   = MERGE( w(kc,jc,ic), 0.0_wp, BTEST( wall_flags_total_0(kc,jc,ic), 3 ) )
+                   u_p(kc,jc,ic) = MERGE( u_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_total_0(kc,jc,ic), 1 ) )
+                   v_p(kc,jc,ic) = MERGE( v_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_total_0(kc,jc,ic), 2 ) )
+                   w_p(kc,jc,ic) = MERGE( w_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_total_0(kc,jc,ic), 3 ) )
                 ENDDO
              ENDDO
@@ -3271,7 +3275,7 @@
                 DO   j = nysg, nyng
                    DO  k = nzb, nzt+1
-                      u(k,j,i) = MERGE( u(k,j,i), 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
-                      v(k,j,i) = MERGE( v(k,j,i), 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
-                      w(k,j,i) = MERGE( w(k,j,i), 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 3 ) )
+                      u(k,j,i) = MERGE( u(k,j,i), 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 1 ) )
+                      v(k,j,i) = MERGE( v(k,j,i), 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 2 ) )
+                      w(k,j,i) = MERGE( w(k,j,i), 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 3 ) )
 !
 !--                 TO_DO: zero setting of temperature within topography creates
@@ -4633,5 +4637,5 @@
                      DO  kc = kfl(kp), kfu(kp)
                         cellsum = cellsum + MERGE( child_array(kc,jc,ic), 0.0_wp,                   &
-                             BTEST( wall_flags_static_0(kc,jc,ic), var_flag ) )
+                             BTEST( wall_flags_total_0(kc,jc,ic), var_flag ) )
                      ENDDO
                   ENDDO
@@ -4924,5 +4928,5 @@
           DO   k = nzb+1, nzt
              sub_sum = sub_sum + innor * u(k,j,i) * dzw(k)                                          &
-                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 1 ) )
           ENDDO
           volume_flux_local = volume_flux_local + sub_sum
@@ -4947,5 +4951,5 @@
           DO   k = nzb+1, nzt
              sub_sum = sub_sum + innor * u(k,j,i) * dzw(k)                                          &
-                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 1 ) )
           ENDDO
           volume_flux_local = volume_flux_local + sub_sum
@@ -4970,5 +4974,5 @@
           DO   k = nzb+1, nzt
              sub_sum = sub_sum + innor * v(k,j,i) * dzw(k)                                          &
-                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 2 ) )
           ENDDO
           volume_flux_local = volume_flux_local + sub_sum
@@ -4993,5 +4997,5 @@
           DO  k = nzb+1, nzt
              sub_sum = sub_sum + innor * v(k,j,i) * dzw(k)                                          &
-                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 2 ) )
           ENDDO
           volume_flux_local = volume_flux_local + sub_sum
@@ -5063,5 +5067,5 @@
              DO  k = nzb + 1, nzt
                 u(k,j,i) = u(k,j,i) + u_corr_left                              &
-                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 1 ) )
              ENDDO
           ENDDO
@@ -5075,5 +5079,5 @@
              DO  k = nzb + 1, nzt
                 u(k,j,i) = u(k,j,i) + u_corr_right                              &
-                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 1 ) )
              ENDDO
           ENDDO
@@ -5087,5 +5091,5 @@
              DO  k = nzb + 1, nzt
                 v(k,j,i) = v(k,j,i) + v_corr_south                              &
-                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 2 ) )
              ENDDO
           ENDDO
@@ -5099,5 +5103,5 @@
              DO  k = nzb + 1, nzt
                 v(k,j,i) = v(k,j,i) + v_corr_north                              &
-                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 2 ) )
              ENDDO
           ENDDO
Index: /palm/trunk/SOURCE/poismg_noopt_mod.f90
===================================================================
--- /palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -1655,5 +1659,5 @@
        USE indices,                                                            &
            ONLY:  flags, nxl_mg, nxr_mg, nyn_mg, nys_mg, nzb, nzt_mg,          &
-                  wall_flags_static_0, wall_flags_1,                                  &
+                  wall_flags_total_0, wall_flags_1,                            &
                   wall_flags_10, wall_flags_2, wall_flags_3,  wall_flags_4,    &
                   wall_flags_5, wall_flags_6, wall_flags_7, wall_flags_8,      &
@@ -1739,5 +1743,5 @@
                 DO  j = nys_l, nyn_l
                    DO  k = nzb, nzt_l
-                      topo_tmp(k,j,i) = wall_flags_static_0(k*inc,j*inc,i*inc)
+                      topo_tmp(k,j,i) = wall_flags_total_0(k*inc,j*inc,i*inc)
                    ENDDO
                 ENDDO
